This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 851661 - [abrt] upower-0.9.17-1.fc17: g_logv: Process /usr/libexec/upowerd was killed by signal 5 (SIGTRAP)
[abrt] upower-0.9.17-1.fc17: g_logv: Process /usr/libexec/upowerd was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:50306a760e7599be64f086a4015...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 11:44 EDT by Dan Stahlke
Modified: 2013-07-31 20:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:47:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.69 KB, text/plain)
2012-08-24 11:44 EDT, Dan Stahlke
no flags Details
File: maps (14.53 KB, text/plain)
2012-08-24 11:44 EDT, Dan Stahlke
no flags Details
File: var_log_messages (11.35 KB, text/plain)
2012-08-24 11:44 EDT, Dan Stahlke
no flags Details

  None (edit)
Description Dan Stahlke 2012-08-24 11:44:05 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/upowerd
crash_function: g_logv
executable:     /usr/libexec/upowerd
kernel:         3.5.2-3.fc17.x86_64
pid:            13312
pwd:            /
remote_result:  817352
time:           Thu 23 Aug 2012 05:26:33 PM EDT
uid:            0
username:       root

backtrace:      Text file, 25287 bytes
maps:           Text file, 14882 bytes
var_log_messages: Text file, 11619 bytes

build_ids:
:923b04d918575d5da8b123f77662d107bf0b9608
:6086bff484a49cc8b80cb714d7e83a6391394800
:b262a361763f91cca5e5826440bebaa4bc8cfebe
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:78a9521377bfe9abb74a7e2f8840898abf2cae9c
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:f4c064df8745dff15466d705fb049138f9a5c949
:591c7ebbd3f4b573e01caf6e462b01a226faa9cf
:6be87969bc38cd5d7b82ce0feb9b78a31dbccaee
:cbb8a8e0998ebc35f3394e942b5bf90d19d90fc5
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:5f038f3fb1b1571769e7c9b79e025fe328052950
:aa2932c0c66c8a7e28d452f94deef0b4ad03a578
:63651cdc0224824a9c9324c77c3b5887378e871d
:f834efc584d22b33aa561273296e343b2e4f03de
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:a30ccc1a8f2081c08718ebd24a8a24e5039b0b6a
:71e0c67ca4255ab4d1f512f4e212b8062371498e
:da0831cf9c551543fbc94e797a102a57a30e790f
:42147224a191a382ea9902023e3816f4caed1ef0
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:7c35310fc506498c612d5d982ab03becc4b4817c
:b0bd4984684a048bc0f837f73fa16a5f2faa94fc
:ebc779125d37b2b0595730b6d78d477fe7b6bc53
:d804f8ee47797da9213a92f00cd095ecada8d79f
:67792c148d2b8f13f6732c9367e926c26d7376c5
:ecad3f852f36e91716e85a1cfcc410e83db0976b
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:fffb0e6dd2f8decf1f14d81c35f1ec36182ae915
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:6d38d8b59339f73a53c08b279b1e9f2064fbb536
:726a299098b7695fc69d788f6b19468810c1ba6e
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/system/upower.service
:2:cpuset:/
:1:name=systemd:/system/upower.service

comment:
:This has something to do with the fact that my bluetooth mouse reports battery status.  It happens when I wake my laptop from sleep.  Not always, but quite often.  Here are the kernel logs:
:
:Aug 23 17:25:04 psi upowerd[13312]: (upowerd:13312): GLib-CRITICAL **: g_ascii_strcasecmp: assertion `s1 != NULL' failed
:Aug 23 17:25:04 psi upowerd[13312]: (upowerd:13312): UPower-Linux-WARNING **: unknown status string:
:Aug 23 17:25:34 psi upowerd[13312]: (upowerd:13312): GLib-CRITICAL **: g_ascii_strcasecmp: assertion `s1 != NULL' failed
:Aug 23 17:25:34 psi upowerd[13312]: (upowerd:13312): UPower-Linux-WARNING **: unknown status string:
:Aug 23 17:26:04 psi upowerd[13312]: (upowerd:13312): GLib-CRITICAL **: g_ascii_strcasecmp: assertion `s1 != NULL' failed
:Aug 23 17:26:04 psi upowerd[13312]: (upowerd:13312): UPower-Linux-WARNING **: unknown status string:
:Aug 23 17:26:33 psi kernel: [13092.202869] hid-generic 0005:047D:1150.0007: unknown main item tag 0x0
:Aug 23 17:26:33 psi kernel: [13092.221077] input: Si670m Bluetooth Wireless Notebook Mouse as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/1-1.3:1.0/bluetooth/hci0/hci0:33/input17
:Aug 23 17:26:33 psi kernel: [13092.222201] hid-generic 0005:047D:1150.0007: input,hidraw2: BLUETOOTH HID v1.29 Mouse [Si670m Bluetooth Wireless Notebook Mouse] on 68:5D:43:92:10:84
:Aug 23 17:26:33 psi upowerd[13312]: (upowerd:13312): UPower-Linux-WARNING **: no voltage values, using 10V as approximation
:Aug 23 17:26:33 psi upowerd[13312]: ** (upowerd:13312): ERROR **: Failed to register GObject with DBusConnection: org.freedesktop.DBus.Error.ObjectPathInUse A handler is already registered for /org/freedesktop/UPower/devices/battery_hid_00o02o76o05o19oD7_battery
:Aug 23 17:26:33 psi kernel: [13092.269100] upowerd[13312] trap int3 ip:30a8e4e801 sp:7fff5f95de10 error:0
:Aug 23 17:26:33 psi abrtd: Directory 'ccpp-2012-08-23-17:26:33-13312' creation detected
:Aug 23 17:26:33 psi abrt[20037]: Saved core dump of pid 13312 (/usr/libexec/upowerd) to /var/spool/abrt/ccpp-2012-08-23-17:26:33-13312 (19091456 bytes)
:Aug 23 17:26:33 psi systemd[1]: upower.service: main process exited, code=dumped, status=5
:Aug 23 17:26:33 psi systemd[1]: Unit upower.service entered failed state.

core_backtrace:
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4e801 g_logv libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4e992 g_log libglib-2.0.so.0 -
:b262a361763f91cca5e5826440bebaa4bc8cfebe 0xf092 dbus_g_connection_register_g_object libdbus-glib-1.so.2 -
:aa2932c0c66c8a7e28d452f94deef0b4ad03a578 0xb79d - [exe] -
:aa2932c0c66c8a7e28d452f94deef0b4ad03a578 0x117c1 - [exe] -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:78a9521377bfe9abb74a7e2f8840898abf2cae9c 0x3a73 - libgudev-1.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:aa2932c0c66c8a7e28d452f94deef0b4ad03a578 0x6da3 - [exe] -

dso_list:
:/usr/lib64/libgpg-error.so.0.8.0 libgpg-error-1.10-2.fc17.x86_64 (Fedora Project) 1337721003
:/usr/lib64/libgobject-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343348649
:/usr/lib64/libgnutls.so.26.22.0 gnutls-2.12.17-1.fc17.x86_64 (Fedora Project) 1337721017
:/usr/lib64/libusbmuxd.so.1.0.8 usbmuxd-1.0.8-2.fc17.x86_64 (Fedora Project) 1342143874
:/usr/lib64/libgio-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343348649
:/usr/lib64/libimobiledevice.so.3.0.1 libimobiledevice-1.1.4-1.fc17.x86_64 (Fedora Project) 1337721175
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-2.fc17.x86_64 (Fedora Project) 1337721006
:/usr/lib64/libupower-glib.so.1.0.2 upower-0.9.17-1.fc17.x86_64 (Fedora Project) 1342143738
:/usr/lib64/libgmodule-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343348649
:/usr/libexec/upowerd upower-0.9.17-1.fc17.x86_64 (Fedora Project) 1342143738
:/usr/lib64/libgudev-1.0.so.0.1.1 libgudev1-182-3.fc17.x86_64 (Fedora Project) 1342143638
:/usr/lib64/libp11-kit.so.0.0.0 p11-kit-0.12-1.fc17.x86_64 (Fedora Project) 1337721017
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-7.fc17.x86_64 (Fedora Project) 1345725376
:/usr/lib64/libm-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345405128
:/usr/lib64/gconv/gconv-modules.cache glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345405128
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-7.fc17.x86_64 (Fedora Project) 1337720999
:/usr/lib64/libsystemd-login.so.0.2.1 systemd-44-17.fc17.x86_64 (Fedora Project) 1342143634
:/usr/lib64/libdl-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345405128
:/usr/lib64/libusb-1.0.so.0.1.0 libusb1-1.0.9-0.6.rc1.fc17.x86_64 (Fedora Project) 1337721006
:/usr/lib64/libpolkit-gobject-1.so.0.0.0 polkit-0.104-6.fc17.x86_64 (Fedora Project) 1337721246
:/usr/lib64/libpthread-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345405128
:/usr/lib64/libglib-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343348649
:/usr/lib64/libc-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345405128
:/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1337720999
:/usr/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.x86_64 (Fedora Project) 1337721000
:/usr/lib64/libgthread-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343348649
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1337720982
:/usr/lib64/libtasn1.so.3.1.15 libtasn1-2.12-1.fc17.x86_64 (Fedora Project) 1337721017
:/usr/lib64/libudev.so.0.13.1 libudev-182-3.fc17.x86_64 (Fedora Project) 1342143630
:/usr/lib64/libdbus-glib-1.so.2.2.2 dbus-glib-0.98-2.fc17.x86_64 (Fedora Project) 1343348664
:/usr/lib64/librt-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345405128
:/usr/lib64/libresolv-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345405128
:/usr/lib64/ld-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345405128
:/usr/lib64/libgcrypt.so.11.7.0 libgcrypt-1.5.0-3.fc17.x86_64 (Fedora Project) 1337721003
:/usr/lib64/libplist.so.1.1.8 libplist-1.8-4.fc17.x86_64 (Fedora Project) 1337721020

environ:
:SYSFONT=latarcyrheb-sun16
:PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
:LANG=en_US.UTF-8
:KEYTABLE=us
:BOOT_IMAGE=/vmlinuz-3.5.2-3.fc17.x86_64

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             28252                28252                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       28252                28252                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:socket:[103394]
:pos:	0
:flags:	02
:2:socket:[103394]
:pos:	0
:flags:	02
:3:socket:[103933]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[107775]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:/dev/cpu_dma_latency
:pos:	0
:flags:	0100001
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:/dev/network_latency
:pos:	0
:flags:	0100001
:11:socket:[105285]
:pos:	0
:flags:	02004002
:12:/dev/input/event1
:pos:	0
:flags:	0104000
:13:socket:[108856]
:pos:	0
:flags:	02004002
Comment 1 Dan Stahlke 2012-08-24 11:44:09 EDT
Created attachment 606901 [details]
File: backtrace
Comment 2 Dan Stahlke 2012-08-24 11:44:10 EDT
Created attachment 606902 [details]
File: maps
Comment 3 Dan Stahlke 2012-08-24 11:44:12 EDT
Created attachment 606903 [details]
File: var_log_messages
Comment 4 Fedora End Of Life 2013-07-03 18:42:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 20:47:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.